Note: Version v201811 will be sunset soon. All users of those versions must migrate to a newer one.

enum RateCardError.Reason (v201808)

The reasons for the target error.


Namespace
https://www.google.com/apis/ads/publisher/v201808
Enumeration Description
INVALID_CURRENCY_CODE The currency code is invalid and does not follow ISO 4217.
INVALID_PRICING_MODEL The PricingModel is invalid.
PRODUCT_PACKAGE_NOT_APPLICABLE_ON_MARKETPLACE_RATE_CARD Marketplace RateCard cannot have ProductPackage association.
UNSUPPORTED_CURRENCY_CODE The currency code is not supported by current network. A supported currency can be either Network.currencyCode or one of Network.secondaryCurrencyCodes.
UNCHANGEABLE_CURRENCY_CODE The currency code is unchangeable as long as there is any proposal line item created with the rate card.
UNCHANGEABLE_PRICING_MODEL The PricingModel cannot be changed after proposal line items have been created using the RateCard.
MARKETPLACE_RATE_CARD_NOT_UNIQUE Only one Marketplace RateCard per Network is allowed.
UNKNOWN The value returned if the actual value is not exposed by the requested API version.